Bug 975435 - one-off patch for SNOWDROP-52: Classpath scanning cannot access contexts from jars in dependecies
one-off patch for SNOWDROP-52: Classpath scanning cannot access contexts from...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.2.0
Unspecified Unspecified
high Severity high
: ---
: One-off release
Assigned To: Ricardo Martinelli de Oliveira
Tomas Repel
:
Depends On: 970235
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 09:11 EDT by Ricardo Martinelli de Oliveira
Modified: 2013-06-24 12:03 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 970235
Environment:
Last Closed: 2013-06-24 12:03:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patched snowdrop-vfs jars (24.27 KB, application/x-java-archive)
2013-06-21 05:10 EDT, Marek Novotny
no flags Details
source jar for patched snowdrop-vs.jar (18.06 KB, application/x-java-archive)
2013-06-21 05:12 EDT, Marek Novotny
no flags Details

  None (edit)
Comment 2 Ricardo Martinelli de Oliveira 2013-06-20 09:56:21 EDT
@Marek, sorry about that. I changed the bugzilla.

Yes, I'm waiting for Joshua to provide the patch to QA so we can publish to Customer Portal (afaik that's how the process work, correct?)
Comment 4 Marek Novotny 2013-06-20 10:03:55 EDT
(In reply to Ricardo Martinelli de Oliveira from comment #2)
> @Marek, sorry about that. I changed the bugzilla.
> 
> Yes, I'm waiting for Joshua to provide the patch to QA so we can publish to
> Customer Portal (afaik that's how the process work, correct?)

Well sometime GSS does the patch directly ;-)
Comment 5 Marek Novotny 2013-06-21 05:10:16 EDT
Created attachment 763710 [details]
Patched snowdrop-vfs jars
Comment 6 Marek Novotny 2013-06-21 05:12:18 EDT
Created attachment 763711 [details]
source jar for patched snowdrop-vs.jar
Comment 7 Tomas Repel 2013-06-21 09:34:47 EDT
Hi Ricardo,
I verified that the patch works for WFK 2.2.0 on EAP 6.0.1. But I miss the Patch Instructions as described in [1], chapter: `Step 2: Create a Support Patch BZ`

[1] https://docspace.corp.redhat.com/docs/DOC-69766
Comment 8 Marek Novotny 2013-06-21 10:05:42 EDT
PATCH NAME: 
    https://bugzilla.redhat.com/show_bug.cgi?id=975435
PRODUCT NAME:
     JBoss Enterprise WFK Platform 2 (WFK)
VERSION:
    2.2.0
SHORT DESCRIPTION: 
    This patch fixes the issue with Snowdrop VFS while scanning its classpath cannot access contexts from jars in dependecies
LONG DESCRIPTION: 
    This patch fixes the issue with Snowdrop VFS i installed as jboss moduleswhile scanning its classpath cannot access contexts from jars in dependecies
MANUAL INSTALL INSTRUCTIONS:
    Replace all occurences of snowdrop-vfs.jar in your EAP instances installed in EAP modules
 
    Backup and remove the following files:
        $JBOSS_HOME/modules/org/jboss/snowdrop/main/snowdrop-vfs.jar
         
    Instructions to uninstall:
 
        Restore the following files that were backed up before the patch was installed:
           $JBOSS_HOME/modules/org/jboss/snowdrop/main/snowdrop-vfs.jar

COMPATIBILITY: 
    None
DEPENDENCIES:
    None
SUPERSEDES:
    None    
SUPERSEDED BY:
    None
CREATOR:
    Marek Novotny
DATE:
    2013-06-21
Comment 10 Marek Novotny 2013-06-24 07:15:51 EDT
Fixed Long Description

----------------------------------------------------------------------------
PATCH NAME: 
    https://bugzilla.redhat.com/show_bug.cgi?id=975435
PRODUCT NAME:
     JBoss Enterprise WFK Platform 2 (WFK)
VERSION:
    2.2.0
SHORT DESCRIPTION: 
    This patch fixes the issue with Snowdrop VFS classpath scanning.

LONG DESCRIPTION: 
    This patch fixes the issue with Snowdrop VFS  when it is installed as EAP module. Scanning of class path cannot access contexts from jar(s) in dependencies.

MANUAL INSTALL INSTRUCTIONS:
    Replace all occurences of snowdrop-vfs.jar in your EAP instances installed in EAP modules
 
    Backup and remove the following files:
        $JBOSS_HOME/modules/org/jboss/snowdrop/main/snowdrop-vfs.jar
         
    Instructions to uninstall:
 
        Restore the following files that were backed up before the patch was installed:
           $JBOSS_HOME/modules/org/jboss/snowdrop/main/snowdrop-vfs.jar

COMPATIBILITY: 
    None
DEPENDENCIES:
    None
SUPERSEDES:
    None    
SUPERSEDED BY:
    None
CREATOR:
    Marek Novotny
DATE:
    2013-06-21
Comment 11 Tomas Repel 2013-06-24 07:40:30 EDT
The patch is verified (see comment 7), the Patch Instructions from comment 10 seem ok to me too.

I believe the patch can be uploaded.

Note You need to log in before you can comment on or make changes to this bug.